Option Strict Off
Option Explicit On
Imports System.Runtime.InteropServices
Module FRB
    '*********************************************************************************
    '      The Declare of FRB.DLL for FRB-100/200 Card 
    '*********************************************************************************
    '(VS 2005 code)

    Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Integer)

    '*********************************************************/

    Public Const FRB_NoError As Short = 0
    Public Const FRB_DriverOpenError As Short = 1
    Public Const FRB_DriverNoOpen As Short = 2
    Public Const FRB_GetDriverVersionError As Short = 3
    Public Const FRB_FindBoardError As Short = 4
    Public Const FRB_ExceedBoardNumber As Short = 5
    Public Const FRB_InputParameterError As Short = 6

    <DllImport("FRB.dll")> _
        Public Function FRB_DriverInit(ByRef wTotalBoards As Short) As Short
    End Function

    <DllImport("FRB.dll")> _
    Public Sub FRB_DriverClose()
    End Sub


    <DllImport("FRB.dll")> _
    Public Function FRB_ActiveBoard(ByVal wBoardNo As Short) As Short
    End Function

    <DllImport("FRB.dll")> _
Public Function FRB_GetDllVersion() As Short
    End Function

    <DllImport("FRB.dll")> _
Public Function FRB_GetDriverVersion(ByRef wDriverVersion As Short) As Short
    End Function
    <DllImport("FRB.dll")> _
      Public Function FRB_GetConfigAddressSpace(ByVal wBoardNo As Short, ByVal wAddrBase As Integer, ByVal wIrqNo As Short, ByVal wSubVendor As Short, ByVal wSubDevice As Short, ByVal wSubAux As Short, ByVal wSlotBus As Short, ByVal wSlotDevice As Short) As Short
    End Function

    <DllImport("FRB.dll")> _
    Public Function FRB_SendSA(ByVal wPort As Short, ByVal SAn As Short, ByVal wOutputData As UShort) As Short
    End Function

    <DllImport("FRB.dll")> _
Public Function FRB_ReceiveRA(ByVal wPort As Short, ByVal RAn As Short, ByRef wInputData As UShort) As Short
    End Function

    <DllImport("FRB.dll")> _
Public Function FRB_ReadRAStatus(ByVal wPort As Short, ByVal bRAStatus As Byte) As Short
    End Function

    ''*********************************************************************************
    ''      The Declare of FRB.DLL for FRB-100/200 Card
    ''*********************************************************************************
    '
    ' (VB6 code)

    'Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

    ''*********************************************************/

    'Public Const FRB_NoError = 0
    'Public Const FRB_DriverOpenError = 1
    'Public Const FRB_DriverNoOpen = 2
    'Public Const FRB_GetDriverVersionError = 3
    'Public Const FRB_FindBoardError = 4
    'Public Const FRB_ExceedBoardNumber = 5
    'Public Const FRB_InputParameterError = 6


    'Declare Function FRB_DriverInit Lib "FRB.dll" (ByRef wTotalBoards As Integer) As Integer
    'Declare Sub FRB_DriverClose Lib "FRB.dll" ()

    'Declare Function FRB_ActiveBoard Lib "FRB.dll" (ByVal wBoardNo As Integer) As Integer
    'Declare Function FRB_GetDllVersion Lib "FRB.dll" () As Integer
    'Declare Function FRB_GetDriverVersion Lib "FRB.dll" (ByRef wDriverVersion As Integer) As Integer


    'Declare Function FRB_SendSA Lib "FRB.dll" (ByVal wPort As Integer, ByVal SAn As Integer, ByVal wOutputData As Long) As Integer
    'Declare Function FRB_ReceiveRA Lib "FRB.dll" (ByVal wPort As Integer, ByVal RAn As Integer, ByVal wInputData As Integer) As Integer
    'Declare Function FRB_ReadRAStatus Lib "FRB.dll" (ByVal wPort As Integer, ByVal bRAStatus As Byte) As Integer


End Module